package TDS::Cache::DirInfo;
# $Id: DirInfo.pm,v 1.7 2000/06/06 16:07:42 tom Exp $
################################################################

=head1 NAME

TDS::Cache::DirInfo - キャッシュディレクトリ情報

=head1 SYNOPSIS

 use TDS::Cache::DirInfo;

 my $logfile = CacheDir() . "/cache.log";

=cut

use strict;
use Exporter;

use TDS::System;
use TDS::Mode;
use TDS::DirInfo;

use vars qw(@ISA @EXPORT
	    $StaticCacheDir $DynamicCacheDir);

@ISA = qw(Exporter);
@EXPORT = qw(CacheDir);


=head1 STATIC VARIABLES

 $StaticCacheDir      静的キャッシュを置くディレクトリ
 $DynamicCacheDir     動的キャッシュを置くディレクトリ

=cut

# web_diary_dir からの相対パス    
$StaticCacheDir = "cache_static";
$DynamicCacheDir = "cache";

=head1 STATIC FUNCTIONS

=head2 CacheDir();

動的、静的に合ったキャッシュディレクトリを返す。

=cut

sub CacheDir
{
    return sprintf("%s/%s",
		   GetWebDiaryDir(),
		   (TDS::Mode::IsStatic()) ? $StaticCacheDir : $DynamicCacheDir);
}
    
1;
